/*
 * gpe-applauncher
 *
 * Application launcher for GPE Phone Edition.
 * 
 * (c) kernel concepts 2006
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GPE_APPLAUNCHER_DBUS_H
#define _GPE_APPLAUNCHER_DBUS_H

#define IAC_OBJ_PATH "/lips/iac/startservice"
#define IAC_INTERFACE "lips.iac.startservice"
#define IAC_METHOD "startservice_return"

#define VOICECALL_APP_SERVICE                 "Voc"
#define VOICECALL_IAC_SERVICE                 "lips.voice.service"
#define VOICECALL_IAC_OBJECT                  "/phone/voice/service"
#define VOICECALL_IAC_INTERFACE               "phone.voice.service"
#define VOICECALL_IAC_METHOD_NUM_RETURN       "num_return"

#define SMS_APP_SERVICE                                 "SMS"
#define SMS_IAC_SERVICE                                 "app.sms.service"
#define SMS_IAC_OBJECT                                  "/app/sms/service"
#define SMS_IAC_INTERFACE                               "app.sms.service"
#define SMS_IAC_METHOD_SEND_SMS         				"send_sms"
#define SMS_IAC_METHOD_INBOX         					"inbox"


#define SERVICE_APPLAUNCHER "org.gpe.applauncher"

gboolean dbus_init (void);
void send_message (char * str_send);
void softkeys_send_activation (gint softkey_nr);
//void set_callee (const char *name, const char *method);
#endif
