#ifndef _GPE_APPLAUNCHER_DBUS_OBJECT_H
#define _GPE_APPLAUNCHER_DBUS_OBJECT_H

#include <glib-object.h>

struct ApplauncherIf
{
  GObject parent;
};

struct ApplauncherIfSoftkeys
{
  GObject parent;
};

struct ApplauncherIfClass
{
  GObjectClass parent;
};

struct ApplauncherIfSoftkeysClass
{
  GObjectClass parent;
};

typedef struct ApplauncherIf ApplauncherIf;
typedef struct ApplauncherIfClass ApplauncherIfClass;

typedef struct ApplauncherIfSoftkeys ApplauncherIfSoftkeys;
typedef struct ApplauncherIfSoftkeysClass ApplauncherIfSoftkeysClass;


GType applauncher_if_get_type (void);
GType applauncher_if_softkeys_get_type (void);
GQuark applauncher_if_error_quark (void);
#define APPLAUNCHER_IF_ERROR applauncher_if_error_quark ()

#define APPLAUNCHER_IF_TYPE              (applauncher_if_get_type ())
#define APPLAUNCHER_IF(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), APPLAUNCHER_IF_TYPE, ApplauncherIf))
#define APPLAUNCHER_IF_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), APPLAUNCHER_IF_TYPE, ApplauncherIfClass))
#define IS_APPLAUNCHER_IF(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), APPLAUNCHER_IF_TYPE))
#define IS_APPLAUNCHER_IF_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), APPLAUNCHER_IF_TYPE))
#define APPLAUNCHER_IF_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLAUNCHER_IF_TYPE, ApplauncherIfClass))

#define APPLAUNCHER_IF_SOFTKEYS_TYPE     (applauncher_if_softkeys_get_type ())
#define APPLAUNCHER_IF_SOFTKEYS(object)  (G_TYPE_CHECK_INSTANCE_CAST ((object), APPLAUNCHER_IF_SOFTKEYS_TYPE, ApplauncherIfSoftkeys))
#define APPLAUNCHER_IF_SOFTKEYS_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), APPLAUNCHER_IF_SOFTKEYS_TYPE, ApplauncherIfSoftkeysClass))
#define IS_APPLAUNCHER_IF_SOFTKEYS(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), APPLAUNCHER_IF_SOFTKEYS_TYPE))
#define IS_APPLAUNCHER_IF_SOFTKEYS_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), APPLAUNCHER_IF_SOFTKEYS_TYPE))
#define APPLAUNCHER_IF_SOFTKEYS_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), APPLAUNCHER_IF_SOFTKEYS_TYPE, ApplauncherIfSoftkeysClass))

typedef enum
{
  APPLAUNCHER_IF_ERROR_GENERIC
} ApplauncherIfError;

gboolean message_display_handler(ApplauncherIf *applauncher, const char* string, char **answer, GError **error);
gboolean notification_display_handler(ApplauncherIf *applauncher, int i, const char* string, GError **error);
gboolean present_handler(ApplauncherIf *applauncher, int i, GError **error);
gboolean start_service_handler(ApplauncherIf *applauncher, const char* callee_name, const char* callee_method, const char* caller_service_name, int *r, GError **error);
gboolean update_softkey(ApplauncherIfSoftkeys *ifsoftkeys, gint nr, const char* string, GError **error);
gboolean get_amount(ApplauncherIfSoftkeys *ifsoftkeys, gint* nr, GError **error);
gboolean get_key(ApplauncherIfSoftkeys *ifsoftkeys, gint nr, const char **string, GError **error);
gboolean get_menupos(ApplauncherIfSoftkeys *ifsoftkeys, gint nr, gint *menu_x, gint *menu_y, GError **error);

#endif
