/*
 * gpe-applauncher
 *
 * Application launcher for GPE Phone Edition.
 * 
 * (c) kernel concepts 2006
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GPE_APPLAUNCHER_HOMESCREEN_H
#define _GPE_APPLAUNCHER_HOMESCREEN_H
    
GtkWidget * homescreen_create (GtkWidget *notebook);
void homescreen_update_bg_pixmap (const gchar *filename);
void homescreen_update_bg_colour (GdkColor colour);
void homescreen_update_label_colour (const gchar *colour);
void homescreen_update_status_label_colour (const gchar *colour);
void homescreen_show_status (const gchar *statusmsg);
void homescreen_show_notification (gint type, const gchar *message);
void homescreen_update_theme (const gchar *themename);
void homescreen_setup_qlaunch_btn ();

#define TAB_ICON_SIZE         36
#define NOTIFICATION_WIDTH   200
#define NOTIFICATION_HEIGHT  100
#define NOTIFICATION_XOFS     10
#define NOTIFICATION_ARC_SIZE 16

/* Available notification types, see homescreen_show_notification() */
typedef enum
{
  NOTE_CALL,
  NOTE_MESSAGE,
  NOTE_ALARM,
  NOTE_MESSAGE_SENT
}t_phone_notification;

#endif
