/*
 * gpe-applauncher
 *
 * Application launcher for GPE Phone Edition.
 * 
 * (c) kernel concepts 2006
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GPE_APPLAUNCHER_SOFTKEYS_H
#define _GPE_APPLAUNCHER_SOFTKEYS_H

#include <gtk/gtk.h>

typedef enum
{
	NORMAL = 0,
	PRESSED
} State;

GtkWidget *softkeys_create_window (void);
void softkeys_update_key (gint nr, const gchar *labeltext);
void softkeys_update_theme (const gchar *themename);
void softkeys_update_label_colour (const gchar *colour);
void softkeys_set_bg_color (gint nr, State state);
gint softkeys_get_amount (void);
const gchar *softkeys_get_key (gint nr);
const gchar *softkeys_get_label (gint nr);
gboolean softkeys_get_menu_pos (gint nr, gint *menu_x, gint *menu_y);

typedef struct
{
    guint keysym;  /* currently unused */
    gint width; /* button dimensions in pixels */
    gint height;
    gint x;     /* location in the button window */
    gint y;
    gint menu_x; /* location of the popup menu */
    gint menu_y;
    gfloat alignment; /* text alignment: 0=left, 1=right */
    gchar *label;  /* label text without markup */
    gchar *key; /* key event assigned to this softkey */
    GtkWidget *widget; /* reference to created widget representing the softkey*/
}t_softkey;

#endif
